Bug 8544 - Unable to upgrade/install from 6.0 to 6.1 on Win98 machine
Summary: Unable to upgrade/install from 6.0 to 6.1 on Win98 machine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-17 18:09 UTC by yadavs
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-21 15:39:21 UTC


Attachments (Terms of Use)

Description yadavs 2000-01-17 18:09:52 UTC
I downloaded the RH6.1 RPMS and base directory on my /dev/hda1 fat32 win98
partition. On trying to install/upgrade 6.0 to 6.1, the installer
(boot-RHEA:0.44 and update-RHEA:0.45) recognizes the first fat32 partition
only and not the other ext2 and fat32 partitions after that. Then it asks
me for the update disk which I insert and then I get this message:

File "tmp/bin/anaconda.real", line 121, in ?
from todo import ToDo
File "tmp/updates/todo.py", line 9, in ?
import _balkan
ImportError: /tmp/updates/_balkanmodule.so: cannot read file data: No such
file or directory
install exited abnormally.....

When I don't give the linux updates option at boot: prompt, I still don't
get all the partitions on the HD and am not able to upgrade (it gives the
message that there are no existing linux partitions on the HD). So I try to
install and then it shows all the partitions on the HD! On proceeding with
the install, I get this message after entering all the password and user
information etc.:

File "/usr/bin/anaconda.real", line 225, in ? intf.run(todo, test=test)
File "/tmp/lib/python1.5/site-packages/text.py", line 1000, in run
rc = apply (step[1](), step[2])
File
"/mnt/redhat/comps/install/6.1/i386/misc/src/trees/hdimage/usr/lib/python1.
5/site-packages/textw/packages.py", line 10, in __call__

On Debugging I get,

> /tmp/lib/python1.5/site-packages/comps.py(50)__init__()
-> name = h[rpm.RPMTAG_NAME]

I have a 10 GB HD with a fat32 partition followed by ext2, swap, fat32,
fat32, ext2 partitions.

Thank you,

Susheel

Comment 1 Jay Turner 2000-04-21 15:39:59 UTC
This is a known issue with 6.1 which is resolved in the latest installer
(release 6.2)


Note You need to log in before you can comment on or make changes to this bug.